# $Revision: 1.5 $, $Date: 2007/08/07 12:30:39 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Event
%define		pnam	Event-RPC
Summary:	Event::RPC - Event based transparent Client/Server RPC framework
Summary(pl.UTF-8):	Event::RPC - oparty na zdarzeniach szkielet przezroczystego klienta/serwera RPC
Name:		perl-Event-RPC
Version:	0.90
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
# Source0-md5:	ab908f6b359e83fdd2f583a44168aa85
URL:		http://search.cpan.org/dist/Event-RPC/
BuildRequires:	perl-AnyEvent
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Event based transparent Client/Server RPC framework.

%description -l pl.UTF-8
Oparty na zdarzeniach szkielet przezroczystego klienta/serwera RPC.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Event/RPC.pm
%{perl_vendorlib}/Event/RPC
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Event-RPC.spec,v $
Revision 1.5  2007/08/07 12:30:39  wolvverine
-rel.2

Revision 1.4  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.2  2006/08/24 21:12:40  qboosh
- pl, generic URL, noarch

Revision 1.1  2006/08/20 16:54:00  arekm
- new
